{: test that string compare causes a compilation error
   if the rhs is too long}

program e1080( output );

type
   str =  packed array[1..10] of char;

var
   s : str;
   b : boolean;
begin { e1080 }

   s := '';
   b := s = '1234';        {OK}
   b := s = '12345678901'; {!!! too big}
end. { e1080 }

